# La Chariotte

## Présentation

La Chariotte est une application web sous licence libre Affera GPL, développée et maintenue par [Hashbang](https://hashbang.fr/).

## Développement

Cloner le projet :
```bash
git clone https://gitlab.com/hashbangfr/la_chariotte.git
```

Installer les dépendances :
```bash
pip install -r requirements.txt
pip install -r dev-requirements.txt
```

## Travailler sur le frontend

check sass version
```bash
sass --version
# used for developement: 1.59.3 compiled with dart2js 2.19.4
```

watch for changes when updating scss files (from project root)
```bash
sass --watch --no-source-map ./la_chariotte/static/sass/style.sass:./la_chariotte/static/css/app.css
```

OR compile css only once (from project root)
```bash
sass --no-source-map ./la_chariotte/static/sass/style.sass:./la_chariotte/static/css/app.css
```

## Lancer les tests

Lancer les tests avec pytest :
```bash
pytest
```

Si il y a des erreurs ISORT, on peut lancer isort pour trier les fichiers :
```bash
isort .
```

Si il y a des erreurs BLACK, on peut lancer black pour linter le code :
```bash
black .
```

## Architecture de l'application

Les différentes applications Django créées sont :

- Order, pour gérer tout ce qui tourne autour des commandes
- Accounts, pour gérer la création de comptes. Pour la connexion, la déconnexion et le changement de mot de passe, on utilise l'application auth intégrée à Django.
